package com.steerinfo.ems.emswaterrealtime.service;

import com.steerinfo.ems.emswaterrealtime.model.EmsWaterRealtime;
import com.steerinfo.framework.service.IBaseService;

import java.util.List;

/**
 * EmsWaterRealtime服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-24 07:52
 * 类描述
 * 修订历史：
 * 日期：2021-08-24
 * 作者：generator
 * 参考：
 * 描述：EmsWaterRealtime服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IEmsWaterRealtimeService extends IBaseService<EmsWaterRealtime, String>{

    List<EmsWaterRealtime> getWaterListByArmMeter();

   int dataGeneration();

    void getcalpoint();

    void getWaterTenMinutes();
}